Page MenuHomePhabricator

Productionize db21[45-52] and db11[76-84]
Open, MediumPublic

Description

Those hosts need to be productionized

  • db2145 s1 A5
  • db2146 s1 C3
  • db2147 vslow s4 B1
  • db2148 s2 B8
  • db2149 s3 C1
  • db2150 s7 C3
  • db2151 media db backups D1
  • db2152 vslow s8 D8
  • db1176 media db backups A1
  • db1177 s8 A3
  • db1178 s8 B1
  • db1179 s3 B5
  • db1180 s6 C3
  • db1181 s7 C5 (to replace db1086)
  • db1182 s2 D1
  • db1183 test-s1 D3
  • db1184 s1 D6

Details

ProjectBranchLines +/-Subject
operations/puppetproduction+3 -2
operations/puppetproduction+1 -1
operations/puppetproduction+4 -2
operations/puppetproduction+0 -1
operations/puppetproduction+0 -1
operations/puppetproduction+0 -1
operations/puppetproduction+1 -0
operations/puppetproduction+1 -0
operations/puppetproduction+3 -2
operations/puppetproduction+3 -2
operations/puppetproduction+1 -0
operations/puppetproduction+3 -2
operations/puppetproduction+0 -1
operations/puppetproduction+1 -1
operations/puppetproduction+1 -0
operations/puppetproduction+1 -1
operations/puppetproduction+5 -2
operations/puppetproduction+1 -0
operations/puppetproduction+16 -0
operations/puppetproduction+0 -1
operations/puppetproduction+1 -0
operations/puppetproduction+5 -2
operations/puppetproduction+1 -1
operations/puppetproduction+0 -1
operations/puppetproduction+1 -0
operations/puppetproduction+5 -2
operations/puppetproduction+1 -1
operations/puppetproduction+0 -1
operations/puppetproduction+1 -0
operations/puppetproduction+5 -2
operations/puppetproduction+0 -1
operations/puppetproduction+0 -1
operations/puppetproduction+1 -1
operations/puppetproduction+1 -0
operations/puppetproduction+5 -2
operations/puppetproduction+1 -0
operations/puppetproduction+5 -2
operations/puppetproduction+1 -1
operations/puppetproduction+1 -0
operations/puppetproduction+1 -1
operations/puppetproduction+6 -2
operations/puppetproduction+0 -1
operations/puppetproduction+1 -0
operations/puppetproduction+1 -1
operations/puppetproduction+5 -2
Show related patches Customize query in gerrit

Related Objects

StatusSubtypeAssignedTask
ResolvedPapaul
ResolvedRobH
OpenMarostegui
OpenRequestMarostegui

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2021-04-08T10:08:30Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Add db1180 to dbctl T275633', diff saved to https://phabricator.wikimedia.org/P15251 and previous config saved to /var/cache/conftool/dbconfig/20210408-100829-marostegui.json

Change 677420 merged by Marostegui:

[operations/puppet@production] db1184: Enable notifications

https://gerrit.wikimedia.org/r/677420

Change 678795 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db1180: Enable notifications

https://gerrit.wikimedia.org/r/678795

Change 678795 merged by Marostegui:

[operations/puppet@production] db1180: Enable notifications

https://gerrit.wikimedia.org/r/678795

Mentioned in SAL (#wikimedia-operations) [2021-04-13T08:50:57Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Pool db1180 with minimal weight on s6 for the first time T275633', diff saved to https://phabricator.wikimedia.org/P15281 and previous config saved to /var/cache/conftool/dbconfig/20210413-085057-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T09:14:15Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Pool db1180 with minimal weight on s6 for the first time T275633', diff saved to https://phabricator.wikimedia.org/P15283 and previous config saved to /var/cache/conftool/dbconfig/20210413-091414-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T09:57:18Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Pool db1180 with minimal weight on s6 for the first time T275633', diff saved to https://phabricator.wikimedia.org/P15286 and previous config saved to /var/cache/conftool/dbconfig/20210413-095717-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T10:26:18Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1180 (re)pooling @ 20%: Slowly pool db1180 for the first time in s6 T275633', diff saved to https://phabricator.wikimedia.org/P15287 and previous config saved to /var/cache/conftool/dbconfig/20210413-102617-root.json

db1180 is automatically being pooled in s6

Mentioned in SAL (#wikimedia-operations) [2021-04-13T10:41:22Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1180 (re)pooling @ 30%: Slowly pool db1180 for the first time in s6 T275633', diff saved to https://phabricator.wikimedia.org/P15288 and previous config saved to /var/cache/conftool/dbconfig/20210413-104121-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T10:56:25Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1180 (re)pooling @ 40%: Slowly pool db1180 for the first time in s6 T275633', diff saved to https://phabricator.wikimedia.org/P15289 and previous config saved to /var/cache/conftool/dbconfig/20210413-105625-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T12:21:29Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1180 (re)pooling @ 50%: Slowly pool db1180 for the first time in s6 T275633', diff saved to https://phabricator.wikimedia.org/P15292 and previous config saved to /var/cache/conftool/dbconfig/20210413-122126-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T12:22:49Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Pool db1184 with minimal weight on s1 for the first time T275633', diff saved to https://phabricator.wikimedia.org/P15293 and previous config saved to /var/cache/conftool/dbconfig/20210413-122248-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T12:36:30Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1180 (re)pooling @ 60%: Slowly pool db1180 for the first time in s6 T275633', diff saved to https://phabricator.wikimedia.org/P15294 and previous config saved to /var/cache/conftool/dbconfig/20210413-123629-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T12:51:34Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1180 (re)pooling @ 70%: Slowly pool db1180 for the first time in s6 T275633', diff saved to https://phabricator.wikimedia.org/P15295 and previous config saved to /var/cache/conftool/dbconfig/20210413-125133-root.json

Pooled db1184 into s1 with minimal weight, if all goes fine, I will start to slowly pool it automatically

Mentioned in SAL (#wikimedia-operations) [2021-04-13T12:56:53Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Pool db1184 with minimal weight on s1 for the first time T275633', diff saved to https://phabricator.wikimedia.org/P15296 and previous config saved to /var/cache/conftool/dbconfig/20210413-125652-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T13:06:37Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1180 (re)pooling @ 80%: Slowly pool db1180 for the first time in s6 T275633', diff saved to https://phabricator.wikimedia.org/P15297 and previous config saved to /var/cache/conftool/dbconfig/20210413-130637-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T13:21:41Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1180 (re)pooling @ 90%: Slowly pool db1180 for the first time in s6 T275633', diff saved to https://phabricator.wikimedia.org/P15298 and previous config saved to /var/cache/conftool/dbconfig/20210413-132140-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T13:36:45Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1180 (re)pooling @ 100%: Slowly pool db1180 for the first time in s6 T275633', diff saved to https://phabricator.wikimedia.org/P15299 and previous config saved to /var/cache/conftool/dbconfig/20210413-133644-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T14:03:54Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1184 (re)pooling @ 20%: Slowly pool db1184 for the first time in s1 T275633', diff saved to https://phabricator.wikimedia.org/P15300 and previous config saved to /var/cache/conftool/dbconfig/20210413-140353-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T14:04:31Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Pool db1184 with minimal weight on s1 for the first time T275633', diff saved to https://phabricator.wikimedia.org/P15301 and previous config saved to /var/cache/conftool/dbconfig/20210413-140431-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T14:34:20Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Pool db1184 with minimal weight on s1 for the first time T275633', diff saved to https://phabricator.wikimedia.org/P15302 and previous config saved to /var/cache/conftool/dbconfig/20210413-143419-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T14:38:22Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1184 (re)pooling @ 20%: Slowly pool db1184 for the first time in s1 T275633', diff saved to https://phabricator.wikimedia.org/P15303 and previous config saved to /var/cache/conftool/dbconfig/20210413-143821-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T14:53:26Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1184 (re)pooling @ 30%: Slowly pool db1184 for the first time in s1 T275633', diff saved to https://phabricator.wikimedia.org/P15304 and previous config saved to /var/cache/conftool/dbconfig/20210413-145325-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T15:08:30Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1184 (re)pooling @ 40%: Slowly pool db1184 for the first time in s1 T275633', diff saved to https://phabricator.wikimedia.org/P15305 and previous config saved to /var/cache/conftool/dbconfig/20210413-150829-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T15:23:33Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1184 (re)pooling @ 50%: Slowly pool db1184 for the first time in s1 T275633', diff saved to https://phabricator.wikimedia.org/P15306 and previous config saved to /var/cache/conftool/dbconfig/20210413-152333-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T15:38:37Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1184 (re)pooling @ 60%: Slowly pool db1184 for the first time in s1 T275633', diff saved to https://phabricator.wikimedia.org/P15307 and previous config saved to /var/cache/conftool/dbconfig/20210413-153836-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T15:53:41Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1184 (re)pooling @ 70%: Slowly pool db1184 for the first time in s1 T275633', diff saved to https://phabricator.wikimedia.org/P15308 and previous config saved to /var/cache/conftool/dbconfig/20210413-155340-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T16:08:44Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1184 (re)pooling @ 80%: Slowly pool db1184 for the first time in s1 T275633', diff saved to https://phabricator.wikimedia.org/P15309 and previous config saved to /var/cache/conftool/dbconfig/20210413-160844-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T16:23:48Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1184 (re)pooling @ 90%: Slowly pool db1184 for the first time in s1 T275633', diff saved to https://phabricator.wikimedia.org/P15310 and previous config saved to /var/cache/conftool/dbconfig/20210413-162347-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-13T16:38:52Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1184 (re)pooling @ 100%: Slowly pool db1184 for the first time in s1 T275633', diff saved to https://phabricator.wikimedia.org/P15311 and previous config saved to /var/cache/conftool/dbconfig/20210413-163851-root.json

Change 679149 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db1177: Enable notifications

https://gerrit.wikimedia.org/r/679149

Change 679149 merged by Marostegui:

[operations/puppet@production] db1177: Enable notifications

https://gerrit.wikimedia.org/r/679149

Mentioned in SAL (#wikimedia-operations) [2021-04-14T05:30:00Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Pool db1177 with minimal weight on s8 for the first time T275633', diff saved to https://phabricator.wikimedia.org/P15313 and previous config saved to /var/cache/conftool/dbconfig/20210414-052959-marostegui.json

Pooled db1177 with minimal weight on s8 - will slowly pool it if all goes well.

Mentioned in SAL (#wikimedia-operations) [2021-04-14T06:25:49Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Pool db1177 with minimal weight on s8 for the first time T275633', diff saved to https://phabricator.wikimedia.org/P15314 and previous config saved to /var/cache/conftool/dbconfig/20210414-062549-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2021-04-14T09:33:06Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Pool db1177 with minimal weight on s8 for the first time T275633', diff saved to https://phabricator.wikimedia.org/P15316 and previous config saved to /var/cache/conftool/dbconfig/20210414-093305-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2021-04-14T09:36:43Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1177 (re)pooling @ 20%: Slowly pool db1177 for the first time in s8 T275633', diff saved to https://phabricator.wikimedia.org/P15317 and previous config saved to /var/cache/conftool/dbconfig/20210414-093642-root.json

Automatically pooling db1177 into s8

Mentioned in SAL (#wikimedia-operations) [2021-04-14T09:51:46Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1177 (re)pooling @ 30%: Slowly pool db1177 for the first time in s8 T275633', diff saved to https://phabricator.wikimedia.org/P15318 and previous config saved to /var/cache/conftool/dbconfig/20210414-095146-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-14T10:06:50Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1177 (re)pooling @ 40%: Slowly pool db1177 for the first time in s8 T275633', diff saved to https://phabricator.wikimedia.org/P15319 and previous config saved to /var/cache/conftool/dbconfig/20210414-100649-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-14T10:21:56Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1177 (re)pooling @ 50%: Slowly pool db1177 for the first time in s8 T275633', diff saved to https://phabricator.wikimedia.org/P15320 and previous config saved to /var/cache/conftool/dbconfig/20210414-102153-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-14T10:36:59Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1177 (re)pooling @ 60%: Slowly pool db1177 for the first time in s8 T275633', diff saved to https://phabricator.wikimedia.org/P15321 and previous config saved to /var/cache/conftool/dbconfig/20210414-103659-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-14T10:52:03Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1177 (re)pooling @ 70%: Slowly pool db1177 for the first time in s8 T275633', diff saved to https://phabricator.wikimedia.org/P15322 and previous config saved to /var/cache/conftool/dbconfig/20210414-105202-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-14T11:07:08Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1177 (re)pooling @ 80%: Slowly pool db1177 for the first time in s8 T275633', diff saved to https://phabricator.wikimedia.org/P15323 and previous config saved to /var/cache/conftool/dbconfig/20210414-110706-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-14T11:22:11Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1177 (re)pooling @ 90%: Slowly pool db1177 for the first time in s8 T275633', diff saved to https://phabricator.wikimedia.org/P15325 and previous config saved to /var/cache/conftool/dbconfig/20210414-112211-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-14T11:37:15Z] <marostegui@cumin1001> dbctl commit (dc=all): 'db1177 (re)pooling @ 100%: Slowly pool db1177 for the first time in s8 T275633', diff saved to https://phabricator.wikimedia.org/P15328 and previous config saved to /var/cache/conftool/dbconfig/20210414-113714-root.json

Mentioned in SAL (#wikimedia-operations) [2021-04-15T05:02:40Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1166 to clone db1179 T275633', diff saved to https://phabricator.wikimedia.org/P15344 and previous config saved to /var/cache/conftool/dbconfig/20210415-050239-marostegui.json

Change 679611 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] mariadb: Productionize db1179

https://gerrit.wikimedia.org/r/679611

Change 679611 merged by Marostegui:

[operations/puppet@production] mariadb: Productionize db1179

https://gerrit.wikimedia.org/r/679611

db1179 is now replicating, will give it a few days before starting to pool it.

Change 679693 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] install_server: Do not reimage db1180

https://gerrit.wikimedia.org/r/679693

Change 679693 merged by Marostegui:

[operations/puppet@production] install_server: Do not reimage db1180

https://gerrit.wikimedia.org/r/679693

Transfer on-going from db1146:s2 to db1182

Change 679707 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] mariadb: Productionzie db1182

https://gerrit.wikimedia.org/r/679707

Change 679707 merged by Marostegui:

[operations/puppet@production] mariadb: Productionzie db1182

https://gerrit.wikimedia.org/r/679707

db1182 is now replicating, will give it a few days before starting to pool it.